Page MenuHomePhabricator

Deploy FileExporter and FileImporter to group0
Closed, ResolvedPublic8 Story Points

Description

Target deployment date: June 12 2018

TODO

  • The extension is added to the make-wmf-branch script, Example: https://gerrit.wikimedia.org/r/#/c/379710/
  • A branch of the extension has been cut out and rolled out through the train.
  • The extension has been added to the extension-list file in mediawiki-config
  • The extension has been removed from the extension-list-labs file, Example: https://gerrit.wikimedia.org/r/#/c/390385/
  • Add it to wgBetaFeaturesWhitelist (see James's approval below) Example: https://gerrit.wikimedia.org/r/#/c/390386
  • Prepare configuration in IntitialiseSettings and CommonSettings so it's easy to enable the extension then applicable Example: https://gerrit.wikimedia.org/r/#/c/390386
  • Add it to the grafana board for tracking beta feature usage Example: https://gerrit.wikimedia.org/r/#/c/392593/
  • Activate FileExporter as a beta feature on mediawiki.org and test2, linking to test wiki
  • the mediawiki.org and test2 export link message should say Export to Test Wiki
  • Activate FileImporter on test wiki, allowing only files from wikis from the sites table
  • Enable debug logging on production

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable FileImporter monolog channel in production
operations/mediawiki-config : masterEnable FileExporter and FileImporter on group0 with test setup
operations/mediawiki-config : masterAllow setting of export target for FileExporter
mediawiki/extensions/FileExporter : wmf/1.32.0-wmf.7Custom export button labels for "Wikimedia Commons" and test wikis
mediawiki/extensions/FileExporter : masterCustom export button labels for "Wikimedia Commons" and test wikis
operations/mediawiki-config : masterWhen using the FileExporter set it as BeatFeature by default
operations/mediawiki-config : masterAdd FileExporter to BetaFeaturesWhiteList
analytics/wmde/scripts : masterAdd FileExporter to beta features count script
analytics/wmde/scripts : productionAdd FileExporter to beta features count script

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lea_WMDE triaged this task as Medium priority.May 23 2018, 12:28 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 23 2018, 12:28 PM

@Jdforrester-WMF again we need your official approval to put the FileExporter on the wgBetaFeaturesWhitelist. It will be the connection to the FileImporter Commons extension to allow the copying of files from e.g. Wikipedia to Commons.

Sounds good. Consider this sign-off.

Lea_WMDE updated the task description. (Show Details)May 24 2018, 7:53 AM
Tobi_WMDE_SW set the point value for this task to 5.Jun 5 2018, 12:32 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-05 board.

Seems the first step has been done already for some time

https://gerrit.wikimedia.org/r/#/c/414768/

The extension has been added to the extension-list file in mediawiki-config
The extension has been removed from the extension-list-labs file, Example: https://gerrit.wikimedia.org/r/#/c/390385/

Also already done ( seems the policy changed there, since there is no labs file anymore )

https://gerrit.wikimedia.org/r/#/c/414767/

The extension has been added to the extension-list file in mediawiki-config
The extension has been removed from the extension-list-labs file, Example: https://gerrit.wikimedia.org/r/#/c/390385/

Also already done ( seems the policy changed there, since there is no labs file anymore )
https://gerrit.wikimedia.org/r/#/c/414767/

Yup, there is now only 1 extension-list file.
The announcement can be seen @ https://lists.wikimedia.org/pipermail/engineering/2018-March/000520.html

Addshore moved this task from Unsorted 💣 to Watching 👀 on the User-Addshore board.

Change 437952 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Add FileExporter to BetaFeaturesWhiteList

https://gerrit.wikimedia.org/r/437952

WMDE-Fisch updated the task description. (Show Details)Jun 7 2018, 11:15 AM

Change 437961 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[analytics/wmde/scripts@master] Add FileExporter to beta features count script

https://gerrit.wikimedia.org/r/437961

Change 437965 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] When using the FileExporter set it as BeatFeature by default

https://gerrit.wikimedia.org/r/437965

Change 437971 had a related patch set uploaded (by Addshore; owner: WMDE-Fisch):
[analytics/wmde/scripts@production] Add FileExporter to beta features count script

https://gerrit.wikimedia.org/r/437971

Change 437961 merged by jenkins-bot:
[analytics/wmde/scripts@master] Add FileExporter to beta features count script

https://gerrit.wikimedia.org/r/437961

Change 437971 merged by jenkins-bot:
[analytics/wmde/scripts@production] Add FileExporter to beta features count script

https://gerrit.wikimedia.org/r/437971

Will SWAT the config changes today in the European Mid-day SWAT

WMDE-Fisch updated the task description. (Show Details)Jun 7 2018, 12:21 PM

Change 437952 merged by jenkins-bot:
[operations/mediawiki-config@master] Add FileExporter to BetaFeaturesWhiteList

https://gerrit.wikimedia.org/r/437952

Mentioned in SAL (#wikimedia-operations) [2018-06-07T13:10:37Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:437952|Add FileExporter to BetaFeaturesWhiteList (T195370)]] (duration: 00m 57s)

Change 437965 merged by jenkins-bot:
[operations/mediawiki-config@master] When using the FileExporter set it as BeatFeature by default

https://gerrit.wikimedia.org/r/437965

Mentioned in SAL (#wikimedia-operations) [2018-06-07T13:16:26Z] <zfilipin@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:437965|When using the FileExporter set it as BeatFeature by default (T195370)]] (duration: 00m 56s)

WMDE-Fisch updated the task description. (Show Details)Jun 7 2018, 1:18 PM
WMDE-Fisch moved this task from Review to Done on the WMDE-QWERTY-Sprint-2018-06-05 board.
Lea_WMDE updated the task description. (Show Details)Jun 12 2018, 9:46 AM
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch changed the point value for this task from 5 to 8.

I'm afraid I did not fully understood what "linking to test wiki" means? Should https://test.wikipedia.org be the target wiki for all file transfers in the test phase?

Change 439873 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileExporter@master] Custom export button labels for "Wikimedia Commons" and test wikis

https://gerrit.wikimedia.org/r/439873

Change 439875 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Allow setting of export target for FileExporter

https://gerrit.wikimedia.org/r/439875

Change 439876 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable FileExporter and FileImporter on group0 with test setup

https://gerrit.wikimedia.org/r/439876

I'm afraid I did not fully understood what "linking to test wiki" means? Should https://test.wikipedia.org be the target wiki for all file transfers in the test phase?

At least for the FileExporters from test2 and mediawiki.org in this test phase. I guess we will change that later when we go for Commons, so that mediawiki.org FileExporter will point to Commons.

Change 439873 merged by WMDE-Fisch:
[mediawiki/extensions/FileExporter@master] Custom export button labels for "Wikimedia Commons" and test wikis

https://gerrit.wikimedia.org/r/439873

Change 439900 had a related patch set uploaded (by WMDE-Fisch; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileExporter@wmf/1.32.0-wmf.7] Custom export button labels for "Wikimedia Commons" and test wikis

https://gerrit.wikimedia.org/r/439900

Change 439900 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@wmf/1.32.0-wmf.7] Custom export button labels for "Wikimedia Commons" and test wikis

https://gerrit.wikimedia.org/r/439900

Change 439875 merged by jenkins-bot:
[operations/mediawiki-config@master] Allow setting of export target for FileExporter

https://gerrit.wikimedia.org/r/439875

Mentioned in SAL (#wikimedia-operations) [2018-06-12T14:20:55Z] <addshore@deploy1001> Synchronized wmf-config/CommonSettings.php: FileImporter/Exporter [[gerrit:439875|Allow setting of export target for FileExporter]] T195370 (duration: 00m 50s)

Change 439876 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileExporter and FileImporter on group0 with test setup

https://gerrit.wikimedia.org/r/439876

Mentioned in SAL (#wikimedia-operations) [2018-06-12T14:38:05Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: FileImporter/Exporter [[gerrit:439876|Enable FileExporter/Importer on group0 wikis]] T195370 (duration: 00m 51s)

In order to do so,

In order to do so,

use also needs to be autoconfirmed on test.wikipedia.org

Change 439941 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Enable FileImporter monolog channel in production

https://gerrit.wikimedia.org/r/439941

Gilles removed a subscriber: Gilles.Jun 12 2018, 6:58 PM

Change 439941 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileImporter monolog channel in production

https://gerrit.wikimedia.org/r/439941

Mentioned in SAL (#wikimedia-operations) [2018-06-13T13:12:55Z] <zfilipin@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:439941| Enable FileImporter monolog channel in production (T195370)]] (duration: 01m 00s)

WMDE-Fisch updated the task description. (Show Details)Jun 13 2018, 1:34 PM
Vvjjkkii renamed this task from Deploy FileExporter and FileImporter to group0 to dgcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: WMDE-Fisch; removed: Aklapper, gerritbot.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:08 AM
CommunityTechBot renamed this task from dgcaaaaaaa to Deploy FileExporter and FileImporter to group0.Jul 2 2018, 4:40 AM
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 8.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper, gerritbot; removed: WMDE-Fisch, Dereckson.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 3:24 PM